PC SOFT

ONLINE HELP
FOR WINDEV, WEBDEV AND WINDEV MOBILE

  • Overview
  • Required configuration
  • Conditions for using the Native PostgreSQL Access
  • The necessary files
  • Necessary file
  • Necessary file
  • Use
  • Using the Native PostgreSQL Access in your WINDEV applications and WEBDEV sites
Products
WinDevWebDev - Server codeWebDev - Browser codeWinDev MobileReports and Queries
Platforms
WindowsLinuxWindows MobileUniversal Windows 10 AppAndroidAndroid Widget iPhone/iPadApple Watch
Languages
JavaPHPAjaxUser code (UMC)External language
Databases
HFSQLHFSQL Client/ServerStored proceduresOLE DBODBCNative Accesses
Overview
WINDEV and WEBDEV 21 propose a module for the native access to PostgreSQL, available in 32 and 64 bits. This Native Access allows you to access a PostgreSQL database from a program in WLanguage without using an external driver.
Versions 20 and later
The native access to PostgreSQL is now available in 64 bits.
New in version 20
The native access to PostgreSQL is now available in 64 bits.
The native access to PostgreSQL is now available in 64 bits.
Caution: This version of the Native PostgreSQL Access operates with WINDEV and WEBDEV version 21.
Note: The Native PostgreSQL Access is an optional and free module that can be downloaded from the PC SOFT site.
Required configuration

Conditions for using the Native PostgreSQL Access

The Native PostgreSQL Access requires the Libpq.DLL DLL. This DLL is supplied with the Native PostgreSQL Access. It was re-compiled from the sources of PostgreSQL version 7.4.23 to be compatible will all the versions of Windows from Windows 98. It contains all the features required by the Native Access and it is compatible with the most recent servers (8.3.6).
The Libpq.DLL DLL must be found:
  • On the development computer, in the setup directory of WINDEV and/or WEBDEV.
  • On the deployment computer, in the directory of the executable or in the directory of Windows.
Note: The Libpq.dll file can be replaced by a more recent version. Make sure that you also copy/install all the dependencies of this DLL.
For example, to use the libpq.dll of PostgreSQL version 8.3.6, you must:
  • Copy the DLLs of the PostgreSQL client layer into the same directory. These DLLs are as follows: ssleay32.dll, libpq.dll, libeay32.dll, libintl3.dll, libiconv2.dll, krb5_32.dll, comerr32.dll, k5sprt32.dll, gssapi32.dll
  • Install the DLLs of Visual 2005 SP2 runtime (package that can be downloaded from Microsoft Web site).
The version of the postgreSQL client layer and the version of your server should be identical.
To do so, you must:
  • Copy the DLLs of the PostgreSQL client layer into the setup directory of WINDEV or WEBDEV on the development computer.
  • Copy the DLLs of the PostgreSQL client layer into the executable directory or into the Windows directory on the development computer.
  • Install the DLLs of Visual 2005 SP2 runtime (package that can be downloaded from Microsoft Web site).
In 32 bits, if these DLLs are not found, the Native PostgreSQL Access will be using a standard client layer corresponding to the version 7.4.23 of PostgreSQL. It contains all the features required by the Native Access and it is compatible with the most recent servers (8.3.6).
Note: To use the SSL connections, you must install a PostgreSQL client layer version 9.1 or later.

The necessary files

The files required for using the Native PostgreSQL Access are as follows:
  • Libpq.DLL. This file is supplied with the Native PostgreSQL Access for WINDEV and WEBDEV.
  • wdxxxpostgresql.DLL: Required for the native access to a PostgreSQL database. This file is supplied with the Native PostgreSQL Access for WINDEV and WEBDEV.

Necessary file

To use the Native PostgreSQL Access, only wdxxxpostgresql.DLL is required. This file is supplied with the Native PostgreSQL Access for WINDEV and WEBDEV.

Necessary file

To use the Native PostgreSQL Access:
  • in 32 bits, only the wdxxxpostgresql.DLL DLL is required. This file is supplied with the Native PostgreSQL Access for WINDEV and WEBDEV.
  • Versions 20 and later
    in 64 bits, only the wdxxxpostgresql64.DLL DLL is required. This file is supplied with the Native PostgreSQL Access for WINDEV and WEBDEV.
    New in version 20
    in 64 bits, only the wdxxxpostgresql64.DLL DLL is required. This file is supplied with the Native PostgreSQL Access for WINDEV and WEBDEV.
    in 64 bits, only the wdxxxpostgresql64.DLL DLL is required. This file is supplied with the Native PostgreSQL Access for WINDEV and WEBDEV.
Use

Using the Native PostgreSQL Access in your WINDEV applications and WEBDEV sites

To use PostgreSQL in native mode, you must program in the WINDEV application or in the WEBDEV site:
Minimum required version
  • Version 14
This page is also available for…
Comments
Click [Add] to post a comment